{- |
Module : Referees.CLI.Main
Description : CLI for "Referees"
Copyright : (c) Pablo Couto 2014
License : GPL-3
Maintainer : pablo@infty.in
Stability : experimental
-}

module Referees.CLI.Main where

import Referees.CLI.Args as Args

import qualified Data.Map as Map
    ( member )
import System.Console.CmdArgs.Explicit
    ( processArgs )

main :: IO ()
main = do
  cmdargs <- processArgs argsSpec
  if Map.member "help" cmdargs
     then print Args.help
     else runWithArgs =<< checkArgs cmdargs
